Type of object is always consentRequest.
consentRequest Unique identifier for the consent request.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"The timestamp at which the consent request was created.
"2024-01-09T15:00:51Z"The method by which the consent request is delivered to the user.
"emailLink"emailLink sms smsLink smsOTP The timestamp at which the consent request expired.
"2024-01-09T15:00:51Z"The operation being requested.
"exchange.sim"change.phoneNumber change.provider exchange.sim issue.portOutCredentials portin.subscription The status of the consent request.
"pending"approved bypassed canceled expired pending The ID of resource being affected by the operation. It can be for example a port out ID, if the operation is issue.portOutCredentials.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"Unique identifier for the subscription inferred from the resource associated with this consent request, e.g. a port-out, porting, or subscription change.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"{
"object": "consentRequest",
"id": "crq_0SNlurA049MEWV2jN9EvAfKMf7VU",
"createdAt": "2024-01-09T15:01:51.0Z",
"deliveryMethod": "emailLink",
"expiredAt": "2024-01-09T15:00:51Z",
"operation": "exchange.sim",
"status": "pending",
"subject": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
Returns a list of consent requests. The consent requests returned are sorted by creation date, with the most recently created consent requests appearing first.
The unique identifier for the subject related to the consent request.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"The unique identifier for the subscription related to the consent request.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"A comma-separated list of statuses to filter the consent requests by.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a list of consentRequest objects.
Type of object is always list.
list consentRequest.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/consentRequests \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "consentRequest",
"id": "crq_0SNlurA049MEWV2jN9EvAfKMf7VU",
"createdAt": "2024-01-09T15:00:51Z",
"deliveryMethod": "emailLink",
"expiredAt": "2024-01-09T15:00:51Z",
"operation": "exchange.sim",
"status": "pending",
"subject": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Creates a new consent request from an existing one, delivering a new code to the user. The existing consent request must be pending or expired and must be the most recent one for its resource. A pending one expires as soon as the new one is created.
The unique identifier for the existing consent request to recreate, e.g. when the user missed the original code. The new consent request covers the same operation and resource and carries a newly generated code. The referenced consent request must be pending or expired and must be the most recent one for its resource. A pending one expires as soon as the new one is created.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"Returns the created consent request.
Type of object is always consentRequest.
consentRequest Unique identifier for the consent request.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"The timestamp at which the consent request was created.
"2024-01-09T15:00:51Z"The method by which the consent request is delivered to the user.
"emailLink"emailLink sms smsLink smsOTP The timestamp at which the consent request expired.
"2024-01-09T15:00:51Z"The operation being requested.
"exchange.sim"change.phoneNumber change.provider exchange.sim issue.portOutCredentials portin.subscription The status of the consent request.
"pending"approved bypassed canceled expired pending The ID of resource being affected by the operation. It can be for example a port out ID, if the operation is issue.portOutCredentials.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"Unique identifier for the subscription inferred from the resource associated with this consent request, e.g. a port-out, porting, or subscription change.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"curl https://api.gigs.com/projects/${GIGS_PROJECT}/consentRequests \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"fromConsentRequest": "crq_0SNlurA049MEWV2jN9EvAfKMf7VU"
}'
{
"object": "consentRequest",
"id": "crq_0SNlurA049MEWV2jN9EvAfKMf7VU",
"createdAt": "2024-01-09T15:00:51Z",
"deliveryMethod": "emailLink",
"expiredAt": "2024-01-09T15:00:51Z",
"operation": "exchange.sim",
"status": "pending",
"subject": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
Retrieves a consent request by the given id.
The unique identifier of the consent request.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"Returns the consent request if it exists.
Type of object is always consentRequest.
consentRequest Unique identifier for the consent request.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"The timestamp at which the consent request was created.
"2024-01-09T15:00:51Z"The method by which the consent request is delivered to the user.
"emailLink"emailLink sms smsLink smsOTP The timestamp at which the consent request expired.
"2024-01-09T15:00:51Z"The operation being requested.
"exchange.sim"change.phoneNumber change.provider exchange.sim issue.portOutCredentials portin.subscription The status of the consent request.
"pending"approved bypassed canceled expired pending The ID of resource being affected by the operation. It can be for example a port out ID, if the operation is issue.portOutCredentials.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"Unique identifier for the subscription inferred from the resource associated with this consent request, e.g. a port-out, porting, or subscription change.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"curl https://api.gigs.com/projects/${GIGS_PROJECT}/consentRequests/{consentRequest} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "consentRequest",
"id": "crq_0SNlurA049MEWV2jN9EvAfKMf7VU",
"createdAt": "2024-01-09T15:00:51Z",
"deliveryMethod": "emailLink",
"expiredAt": "2024-01-09T15:00:51Z",
"operation": "exchange.sim",
"status": "pending",
"subject": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
Grants consent for the given request. This will trigger the consent request to be processed and the request to transition to the approved status. The consent request must be in the pending status in order to be approved.
The OTP associated with the consent request, used to validate the given consent.
"123456"The unique identifier of the consent request.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"Returns the consent request.
Type of object is always consentRequest.
consentRequest Unique identifier for the consent request.
"crq_0SNlurA049MEWV2jN9EvAfKMf7VU"The timestamp at which the consent request was created.
"2024-01-09T15:00:51Z"The method by which the consent request is delivered to the user.
"emailLink"emailLink sms smsLink smsOTP The timestamp at which the consent request expired.
"2024-01-09T15:00:51Z"The operation being requested.
"exchange.sim"change.phoneNumber change.provider exchange.sim issue.portOutCredentials portin.subscription The status of the consent request.
"pending"approved bypassed canceled expired pending The ID of resource being affected by the operation. It can be for example a port out ID, if the operation is issue.portOutCredentials.
"pto_0SNlurA049MEWV4DWEaT4SaeDI8s"Unique identifier for the subscription inferred from the resource associated with this consent request, e.g. a port-out, porting, or subscription change.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"curl https://api.gigs.com/projects/${GIGS_PROJECT}/consentRequests/{consentRequest}/approve \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"code": "123456"
}'
{
"object": "consentRequest",
"id": "crq_0SNlurA049MEWV2jN9EvAfKMf7VU",
"createdAt": "2024-01-09T15:00:51Z",
"deliveryMethod": "emailLink",
"expiredAt": "2024-01-09T15:00:51Z",
"operation": "exchange.sim",
"status": "pending",
"subject": "pto_0SNlurA049MEWV4DWEaT4SaeDI8s",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}